Skip to main content

Get Transaction

GET 

/v2/transactions/:transactionHash

Free [1 Credits]

Retrieve a transaction.


Request​

Path Parameters

    transactionHash stringrequired

    transaction hash

Query Parameters

    chainId int64

Responses​

OK

Schema

    data

    object

    required

    transaction_hash stringrequired
    block_number int64required
    block_hash stringrequired
    transaction_index int32required
    timestamp int64required
    from stringrequired
    to string
    value_kei stringrequired
    status stringrequired
    tx_error int32
    type stringrequired
    type_int int32required
    nonce int64required
    gas int64required
    gas_used int64required
    gas_price_kei string
    effective_gas_price_kei string
    max_fee_per_gas_kei string
    max_priority_fee_per_gas_kei string
    fee_payer string
    fee_ratio string
    sender_tx_hash string
    contract_address string
    input string
    token_transfer_count int32required
    nft_transfer_count int32required
    log_count int64